Le framework préféré des amateurs de bidouille, Xposed, est d’ores et déjà disponible sur Android 8.0 et Android 8.1 Oreo. Il ne s’agit pour le moment que d’une version beta, mais son créateur l’affirme assez stable pour être utilisée au quotidien.

En décembre, rovo89 annonçait que le travail sur son framework compatible avec Android 8.0 Oreo avançait bien. Moins d’un mois plus tard, le développeur propose déjà une version de Xposed compatible avec les toutes dernières versions du système d’exploitation mobile de Google.

Rappelons à toutes fins utiles que Xposed est une modification majeure du système d’exploitation et nécessite que le téléphone soit rooté pour fonctionner. Une fois installé, il permet par la suite d’activer des modules qui offrent de nombreuses options de personnalisation, allant de l’interface aux performances de l’appareil en passant par des modifications de certaines applications.

Une arrivée plus rapide que pour Nougat

Pour Nougat, rovo89 avait mis environ un an avant de rendre son framework disponible, ce qui avait poussé d’autres développeurs à proposer un portage. Cette fois-ci, il ne veut pas recommencer la même erreur et met à disposition de tous une première beta compatible avec Oreo, ce qui lui permettra par ailleurs de faciliter son travail de débogage. Dans son message posté sur les forums de XDA, il explique que cette version de Xposed 90 pour Oreo est assez stable pour tourner sur son Pixel 2 utilisé quotidiennement. Il est déjà conscient de l’existence certains bugs et en cherche l’origine, mais promet d’ores et déjà une nouvelle beta dès qu’il aura réussi à régler ces problèmes.

Pour l’installer, notez qu’il est impératif de posséder un smartphone rooté. Il suffit ensuite de flasher le fichier zip correspondant via un recovery personnalisé comme TWRP :

Attention de choisir le bon fichier, votre terminal pourrait devenir définitivement inutilisable en cas d’erreur. Enfin, précisons que rovo89 demande de bien passer par le fichier xposed-uninstaller-20180108-*.zip pour désinstaller le framework afin d’éviter tout problème.

Les modules

Précisons que les modules existants peuvent nécessiter des mises à jour pour fonctionner correctement. Il ne fait aucun doute que les plus réputés seront rapidement mis à jour, mais il se peut que certains ne soient pas entièrement compatibles dès à présent. De nombreux modules peuvent être trouvés sur les forums de XDA.

À lire sur FrAndroid : 10 modules Xposed qui vont vous changer la vie